### Function

# RB uri_mkstemp

#### Declaration [src]

    gboolean
    rb_uri_mkstemp (
      const char* prefix,
      char** uri_ret,
      GOutputStream** stream,
      GError** error
    )

#### Description [src]

Creates a temporary file whose URI begins with `prefix`, returning the file URI and an output stream for writing to it.

#### Parameters

`prefix`

  Type: `const char*`

  URI prefix.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uri_ret`

  Type: `char**`

  Returns the temporary file URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`stream`

  Type: `GOutputStream`

  Returns a `GOutputStream` for the temporary file.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.